Bug 27154 - Koha/Util/SystemPreferences.pm must be removed
Summary: Koha/Util/SystemPreferences.pm must be removed
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 15494
Blocks:
  Show dependency treegraph
 
Reported: 2020-12-04 15:00 UTC by Jonathan Druart
Modified: 2021-02-21 00:11 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.03,20.05.09


Attachments
Bug 27154: Remove Koha::Util::SystemPreferences (4.35 KB, patch)
2021-02-05 11:03 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27154: Remove Koha::Util::SystemPreferences (4.42 KB, patch)
2021-02-05 11:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 27154: Remove Koha::Util::SystemPreferences (4.47 KB, patch)
2021-02-07 12:35 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27154: Fix test if the cache is populated already (907 bytes, patch)
2021-02-09 08:22 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-12-04 15:00:54 UTC
On bug 15494, the same method "get_yaml_pref_hash" has been added to two modules,  Koha/Config/SysPref.pm and Koha/Util/SystemPreferences.pm?

Koha/Config/SysPref.pm:sub get_yaml_pref_hash {
Koha/Util/SystemPreferences.pm:sub get_yaml_pref_hash {

We should remove the whole Koha/Util/SystemPreferences.pm package.
Comment 1 Jonathan Druart 2021-02-05 11:03:10 UTC
Created attachment 116385 [details] [review]
Bug 27154: Remove Koha::Util::SystemPreferences

On bug 15494, the same method "get_yaml_pref_hash" has been added to two modules,
Koha/Config/SysPref.pm and Koha/Util/SystemPreferences.pm

We only need the one from Koha::Config::SysPref and remove the whole
Koha::Util::SystemPreferences module.

Test plan:
 prove t/db_dependent/Circulation/issue.t
must return green
Comment 2 Kyle M Hall 2021-02-05 11:12:13 UTC
Created attachment 116386 [details] [review]
Bug 27154: Remove Koha::Util::SystemPreferences

On bug 15494, the same method "get_yaml_pref_hash" has been added to two modules,
Koha/Config/SysPref.pm and Koha/Util/SystemPreferences.pm

We only need the one from Koha::Config::SysPref and remove the whole
Koha::Util::SystemPreferences module.

Test plan:
 prove t/db_dependent/Circulation/issue.t
must return green

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 3 Katrin Fischer 2021-02-07 12:35:48 UTC
Created attachment 116471 [details] [review]
Bug 27154: Remove Koha::Util::SystemPreferences

On bug 15494, the same method "get_yaml_pref_hash" has been added to two modules,
Koha/Config/SysPref.pm and Koha/Util/SystemPreferences.pm

We only need the one from Koha::Config::SysPref and remove the whole
Koha::Util::SystemPreferences module.

Test plan:
 prove t/db_dependent/Circulation/issue.t
must return green

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-02-08 13:57:29 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Jonathan Druart 2021-02-09 08:22:48 UTC
Created attachment 116539 [details] [review]
Bug 27154: Fix test if the cache is populated already
Comment 6 Jonathan Druart 2021-02-09 08:53:18 UTC
(In reply to Jonathan Druart from comment #5)
> Created attachment 116539 [details] [review] [review]
> Bug 27154: Fix test if the cache is populated already

Patch pushed to master.
Comment 7 Fridolin Somers 2021-02-12 13:05:00 UTC
Pushed to 20.11.x for 20.11.03
Comment 8 Andrew Fuerste-Henry 2021-02-17 20:26:59 UTC
Pushed to 20.05.x for 20.05.09
Comment 9 Victor Grousset/tuxayo 2021-02-21 00:11:01 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.